import * as React from 'react';
import MuiThemeProvider from 'material-ui/styles/MuiThemeProvider';
import {
    Table,
    TableBody,
    TableHeader,
    TableHeaderColumn,
    TableFooter,
    TableRow,
    TableRowColumn,
} from 'material-ui/Table';
import Toggle from 'material-ui/Toggle';
import FlatButton from 'material-ui/FlatButton';
import Dialog from 'material-ui/Dialog';

const styles = {
    propContainer: {
        width: 200,
        overflow: 'hidden',
        margin: '20px auto 0',
    },
    propToggleHeader: {
        margin: '20px auto 10px',
    },
};

const tableData = [
    {
        apiKey: 'wqekoekeeeeerw',
        name: 'Agent 1',
        status: 'Wait For Auth',
    },
    {
        apiKey: 'wqekoekeeeeerw',
        name: 'Agent 2',
        status: 'Wait For Auth',
    },
    {
        apiKey: 'wqekoekeeeeerw',
        name: 'Agent 3',
        status: 'Wait For Auth',
    },
    {
        apiKey: 'wqekoekeeeeerw',
        name: 'Agent 4',
        status: 'Wait For Auth',
    },
    {
        apiKey: 'wqekoekeeeeerw',
        name: 'Agent 5',
        status: 'Wait For Auth',
    },
    {
        apiKey: 'wqekoekeeeeerw',
        name: 'Agent 6',
        status: 'Wait For Auth',
    },
    {
        apiKey: 'wqekoekeeeeerw',
        name: 'Agent 7',
        status: 'Wait For Auth',
    },
];

export class WaitForAuth extends React.Component<any, any> {
    constructor(props: any, context: any) {
        super(props, context)

    };

    state = {
        selectable: true,
        multiSelectable: true,
        enableSelectAll: true,
        showCheckboxes: true,
        stripedRows: false,
        open: false,
    };

    sselectedRows: number[] | string;

    // handleCellClick = (e: any, idx: number) => {
    //     console.log(e)
    // }

    handleRowSelected = (selectedRows: number[] | string) => {
        // console.log(selectedRows)
        // this.setState({ open: true })
        this.sselectedRows = selectedRows;
    }

    handleClose = () => {
        this.setState({ open: false });
    };

    handleOpenDialog = () => {
        this.setState({ open: true })
        // console.log(this.sselectedRows)
    }

    handleSubmit = () => {
        console.log("Agent Auth Service Request: " + this.sselectedRows)
    }

    render() {
        const actions = [
            <FlatButton
                label="Cancel"
                primary={true}
                onTouchTap={this.handleClose}
            />,
            <FlatButton
                label="Submit"
                primary={true}
                disabled={false}
                onTouchTap={this.handleSubmit}
            />,
        ]
        return (
            
                <div>
                    <Table
                        selectable={this.state.selectable}
                        multiSelectable={this.state.multiSelectable}
                        /*onCellClick={this.handleCellClick}*/
                        onRowSelection={this.handleRowSelected}
                    >
                        <TableHeader
                            displaySelectAll={this.state.showCheckboxes}
                            adjustForCheckbox={this.state.showCheckboxes}
                            enableSelectAll={this.state.enableSelectAll} >
                            <TableRow>
                                <TableHeaderColumn colSpan={3} tooltip="Super Header" style={{ textAlign: 'center' }}>
                                    Super Header
                                </TableHeaderColumn>
                            </TableRow>
                            <TableRow>
                                <TableHeaderColumn tooltip="The API Key">API Key</TableHeaderColumn>
                                <TableHeaderColumn tooltip="The Name">Name</TableHeaderColumn>
                                <TableHeaderColumn tooltip="The Status">Status</TableHeaderColumn>
                            </TableRow>
                        </TableHeader>
                        <TableBody
                            displayRowCheckbox={this.state.showCheckboxes}
                            stripedRows={this.state.stripedRows}>
                            {tableData.map((row: any, index: number) => (
                                <TableRow key={index} >
                                    <TableRowColumn>{row.apiKey}</TableRowColumn>
                                    <TableRowColumn>{row.name}</TableRowColumn>
                                    <TableRowColumn>{row.status}</TableRowColumn>
                                </TableRow>
                            ))};

                        </TableBody>
                        <TableFooter
                            adjustForCheckbox={this.state.showCheckboxes} >
                            < Dialog
                                title="Dialog With Actions"
                                actions={actions}
                                modal={true}
                                open={this.state.open} >
                                선택한 Agent를 인증하시겠습니까?
                            </Dialog >
                        </TableFooter>
                    </Table>
                    <FlatButton 
                        style={{float:'right'}}
                        label="Submit"
                        primary={true}
                        onTouchTap={this.handleOpenDialog}
                    />
                    <FlatButton 
                        style={{float:'right' }}
                        label="Cancel"
                        primary={true}
                        onTouchTap={this.handleClose}
                    />
                </div>
            
        );
    }

    
}