import * as React from 'react';
import MuiThemeProvider from 'material-ui/styles/MuiThemeProvider';
import {
    Step,
    Stepper,
    StepLabel,
} from 'material-ui/Stepper';
import RaisedButton from 'material-ui/RaisedButton';
import FlatButton from 'material-ui/FlatButton';
import Divider from 'material-ui/Divider';

import { TargetSelector } from './TargetSelector';
import { CrawlerSelector } from './CrawlerSelector';
import { ItemSelector } from './ItemSelector';

export class SensorConfig extends React.Component<any, any> {

    constructor(props: any, context: any) {
        super(props, context)
    }

    state = {
        finished: false,
        stepIndex: 0,
        selected: -1
    };

    handleNext = () => {
        const { stepIndex } = this.state;
        this.setState({
            stepIndex: stepIndex + 1,
            finished: stepIndex >= 2,
        });
        if(this.state.stepIndex == 0) {
            alert(this.state.selected);
        }
        
    };

    handlePrev = () => {
        const { stepIndex } = this.state;
        if (stepIndex > 0) {
            this.setState({ stepIndex: stepIndex - 1 });
        }
    };

    handleChange(idx :any) {
        this.setState({
            selected : idx
        });
    }

    getStepContent(stepIndex: any) {
        switch (stepIndex) {
            case 0:
                return <TargetSelector onChange={this.handleChange.bind(this)} />;
            case 1:
                return <CrawlerSelector />;
            case 2:
                return <ItemSelector />;
            default:
                return 'errrrrrr';
        }
    }

    render() {
        return (
            
                <div style={{ width: '100%', maxWidth: 900, margin: 'auto' }}>
                    <Stepper activeStep={this.state.stepIndex}>
                        <Step>
                            <StepLabel>MONITOR WHAT?</StepLabel>
                        </Step>
                        <Step>
                            <StepLabel>TECHNOLOGY USED?</StepLabel>
                        </Step>
                        <Step>
                            <StepLabel>SELEC ITEMS</StepLabel>
                        </Step>
                    </Stepper>
                    <Divider />
                    <div>
                        {this.state.finished ? (
                            <p>
                                <a
                                    href="#"
                                    onClick={(event) => {
                                        event.preventDefault();
                                        this.setState({ stepIndex: 0, finished: false });
                                    }}
                                >
                                    Click here
                            </a> to reset the example.
                            </p>
                        ) : (
                                <div>
                                    {this.getStepContent(this.state.stepIndex)}
                                    <div style={{ marginTop: 12, marginBottom: 15, float: 'right' }}>
                                        <FlatButton
                                            label="Back"
                                            disabled={this.state.stepIndex === 0}
                                            onTouchTap={this.handlePrev}
                                            style={{ marginRight: 12 }}
                                        />
                                        <RaisedButton
                                            label={this.state.stepIndex === 2 ? 'Finish' : 'Next'}
                                            primary={true}
                                            onTouchTap={this.handleNext}
                                        />
                                    </div>
                                </div>
                            )}
                    </div>
                </div>
            
        );
    }
}