import * as React from 'react';
import MuiThemeProvider from 'material-ui/styles/MuiThemeProvider';
import Paper from 'material-ui/Paper';
import Menu from 'material-ui/Menu';
import MenuItem from 'material-ui/MenuItem';
import Divider from 'material-ui/Divider';
import Download from 'material-ui/svg-icons/file/file-download';
import Delete from 'material-ui/svg-icons/action/delete';

import ContentCopy from 'material-ui/svg-icons/content/content-copy';
import { InstallGuide } from './Installguide';

const styles = {
    osSelector: {
        display: 'inline-block',
        float: 'left',
    },
    content: {
        display: 'inline-block',
        float: 'left',
        width: "85%",
        height: 700,
        padding: 20,
    },
}

export class ProveDownload extends React.Component<any, any> {
    constructor(props: any, context: any) {
        super(props, context)
        this.state = {
            selectedOSidx: 0,
            selectedOSName: "Windows",
        };
    }

    handleOSChange = (event: any, menuItem: any, index: any) => {
        this.setState({
            selectedOSidx: index,
            selectedOSName: menuItem.props.primaryText
        });
    }


    render() {

        return (
            
                <div>
                    <div>
                        <Paper style={styles.osSelector}>
                            <Menu onItemTouchTap={this.handleOSChange.bind(this)}>
                                <MenuItem primaryText="Windows" leftIcon={<ContentCopy />} />
                                <MenuItem primaryText="Ubuntu" leftIcon={<ContentCopy />} />
                                <MenuItem primaryText="Mac OS X" leftIcon={<ContentCopy />} />
                                <MenuItem primaryText="Docker" leftIcon={<ContentCopy />} />
                                <MenuItem primaryText="Debian" leftIcon={<ContentCopy />} />
                                <MenuItem primaryText="CentOS" leftIcon={<ContentCopy />} />
                                <MenuItem primaryText="Fedora" leftIcon={<ContentCopy />} />
                            </Menu>
                        </Paper>

                        <Paper style={styles.content}>
                            <InstallGuide idx={this.state.selectedOSidx} name={this.state.selectedOSName} />
                        </Paper>

                    </div>
                </div>
            
        );
    }
}
