import * as React from 'react';
import MuiThemeProvider from 'material-ui/styles/MuiThemeProvider';
import { List, ListItem } from 'material-ui/List';
import ActionInfo from 'material-ui/svg-icons/action/info';
import SelectField from 'material-ui/SelectField';
import MenuItem from 'material-ui/MenuItem';

const styles = {
    content: {
        display: 'inline-block',
        float: 'left',
        width: "85%",
        height: 700,
    },
}

export class InstallGuide extends React.Component<any, any> {
    constructor(props: any, context: any) {
        super(props, context)
        this.state = {
        };
    }


    render() {
        const osIdx = this.props.idx;
        let target = null;
        if (osIdx == 0) {
            target = <WindowsInstallGuide />;
        } else if (osIdx == 1) {
            target = <UbuntuInstallGuide />;
        } else {
            target = <h2>Not support yet.</h2>;
        }

        return (
            
                <div>
                    <h1>Installing on {this.props.name}</h1>
                    <ListItem primaryText="Blah Blah Blah..." disabled={true} leftIcon={<ActionInfo />} />
                    {target}
                </div>
            
        );
    }
}

export class WindowsInstallGuide extends React.Component<any, any> {
    constructor(props: any, context: any) {
        super(props, context)
        this.state = {
        };
    }

    handleArchChange = (event: any, menuItem: any, value: any) => {
        this.setState({
            selectedArch: value,
        });
    }

    render() {
        return (
            <MuiThemeProvider >
                <div>
                    <SelectField
                        floatingLabelText="Architecture"
                        value={this.state.selectedArch}
                        onChange={this.handleArchChange}
                    >
                        <MenuItem value={0} primaryText="32bit" />
                        <MenuItem value={1} primaryText="64bit" />
                    </SelectField>
                </div>
            </MuiThemeProvider>
        );
    }
}

export class UbuntuInstallGuide extends React.Component<any, any> {
    constructor(props: any, context: any) {
        super(props, context)
        this.state = {
        };
    }


    render() {
        return (
            <MuiThemeProvider >
                <div>
                    Ubuntu blah blah
                    </div>
            </MuiThemeProvider>
        );
    }
}